Bug 14529 - Cannot delete a list even if the permission is set
Summary: Cannot delete a list even if the permission is set
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13417
Blocks: 14517
  Show dependency treegraph
 
Reported: 2015-07-13 16:52 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14529: Allow user to delete lists (2.97 KB, patch)
2015-07-13 16:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14529: The new list permission is 'lists', not 'shelves' (893 bytes, patch)
2015-08-18 11:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14529: Allow user to delete lists (3.03 KB, patch)
2015-08-18 15:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14529: The new list permission is 'lists', not 'shelves' (969 bytes, patch)
2015-08-18 15:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14529: Allow user to delete lists (3.04 KB, patch)
2015-08-18 15:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14529: The new list permission is 'lists', not 'shelves' (964 bytes, patch)
2015-08-18 15:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 14529: Allow user to delete lists (3.08 KB, patch)
2015-08-18 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 14529: The new list permission is 'lists', not 'shelves' (1.00 KB, patch)
2015-08-18 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-07-13 16:52:04 UTC
Bug 13417 allows a librarian to delete any lists if he has the permission (delete_public_lists).
Comment 1 Jonathan Druart 2015-07-13 16:55:49 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-07-18 18:07:53 UTC
In testing I can only delete another users public lists with superlibrarian permission.  The button doesn't appear when 'delete_public_lists' is checked
Comment 3 Jonathan Druart 2015-08-04 09:29:46 UTC
I have just retested and it works for me.
Could you give me more details please?
The button should appears on the list view: /cgi-bin/koha/virtualshelves/shelves.pl, tab "Public lists".
Comment 4 Jonathan Druart 2015-08-18 11:43:58 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-08-18 15:25:58 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-08-18 15:26:06 UTC Comment hidden (obsolete)
Comment 7 Tomás Cohen Arazi 2015-08-18 15:30:13 UTC Comment hidden (obsolete)
Comment 8 Tomás Cohen Arazi 2015-08-18 15:30:21 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-08-18 15:32:42 UTC
Created attachment 41617 [details] [review]
[PASSED QA] Bug 14529: Allow user to delete lists

Bug 13417 allows a librarian to delete any lists if he has the
permission (delete_public_lists).

There is a mismatch in the perm check.
A user can delete a list with the ability to edit (manage) it.

Test plan:
1/ Create a list A with user A
2/ Create a list B with user B
3/ A should be able to manage and delete the list A.
He cans delete B only if he is superlibrarian or has the
delete_public_lists permission.

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2015-08-18 15:32:50 UTC
Created attachment 41618 [details] [review]
[PASSED QA] Bug 14529: The new list permission is 'lists', not 'shelves'

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Tomás Cohen Arazi 2015-08-18 16:19:11 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 12 Chris Cormack 2015-08-23 06:03:06 UTC
Template changes holding for 3.20.4